---
title: "Set Group Announcement"
slug: "set-group-announcement"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Group Announcement

Post/api/v1/groups.setAnnouncement

Set the private channel announcement. Announcements are displayed at the top of the rooms, under the header. Permission required: `edit-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.70.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='cf58ac18-013b-4d06-958c-4783d5bc52a8'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='bd4457c2-caea-46fd-8bb0-89d9c8dbc662'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "announcement": "Test announcement"
}
```

object  roomIdstring    Required

The private group ID. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX
announcementstring    Required

The announcement to set for the private group.

ExampleTest announcement

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='4963bb55-219c-4e47-b89d-e87bb9db700a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a79e74e6-2b3e-4594-9dc0-c3f066c77d09'>Success</option>
</select>Success

```json
{
  "announcement": "Test out everything.",
  "success": true
}
```

object  announcementstring    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a45038d1-9115-43d7-9745-5aa872f13ea1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f976312c-c429-4c15-a6cb-db82e3d8ba09'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
